commit c5a439c07084064ef7b0ee9525ca84294861d51b
Author: Tobias Fiebig <tobias+git@fiebig.nl>
Date:   Fri Apr 19 13:51:57 2024 +0200

    Added 7.1.3. detailing handling of existing assignments, recommending
    aggregation for existing assignment holders.
    
    Purpose:
    - With the current PI assignment practice, de-aggregation took place in
      the PI space. This provision should provide a lever to force
      re-aggregation upon rezeizing existing assignments.
    - This provision also prevents cases where, contrary to options where
      existing PI holders could automatically enlarge to, e.g., a /44 or the
      existing reservation size, all of a sudden one End User holds
      significantly more address space than they need, possibly even
      increasing GRT size (announcing new covering prefix+keeping old prefix
      for each PI assignment)
    - Being able to extend the renumbering period indefinately for PI assigned
      prior to this policy relaxes burden for renumbering on existing PI
      holders. Nevertheless, it conserves address space, as these resources
      are then placed under being mandated to be returned, i.e., are no
      longer transferrable, encouraging their eventual return.
    
    Considerations:
    - This provision puts some renumbering stress on End Users who received
      multiple assignments now and need to enlarge their assignment, e.g.,
      if a current holder of two /48 needs a third prefix for a third End
      Site. However, in the light of the aggregation principle and given the
      relative size of PI assignments.
    - It might be reasonable to discuss a larger renumbering period,
      especially for end-sites currently holding a small IPv6 assignment
      combined with a large IPv4 assignment.
    - It might be sensible to integrate this provision into 7.1.2. However,
      at the moment it is an independent section to provide greater clarity
      concerning what happens to existing PI assignments which might lack a
      sufficient reservation to be extended to a /44.
    
    Changes to draft-00:
    - Made it explicit that this provision applies to PI assignments issued
      before this version of the policy came into effect.
    
    Changes to draft-01:
    - Made the text more explicit about what happens when a new assignment is
      requested, and when returning previous assignments is required.
    
    Changes to draft-02:
    - None
    
    Changes to draft-03:
    - Adjusted the renumbering period for already held prefixes to not place undue
      burden on End Users who already hold IPv6 PI based on a suggestion by Jan.

diff --git a/ripe-738.txt b/ripe-738.txt
index 98986c3..7015d8e 100644
--- a/ripe-738.txt
+++ b/ripe-738.txt
@@ -307,6 +307,18 @@ The minimum size of the assignment is a /48.
 
 The considerations of "5.4.2. Assignments shorter than a /48 to a single End-Site" must be followed if needed.
 
+7.1.3. Existing PI Assignments
+
+If an End User or LIR, holding one or multiple existing PI assignments, requests an aditional assignment or enlargement of one or multiple of their existing assignment, the request is handled as per "7.1.2. Requesting a Larger Assignment", even if those assignments were made under previous versions of this policy.
+This means that their addressing need will be assessed according to "7.1.2. Requesting a Larger Assignment" and they will receive a single assignment corresponding to the result of that evaluation.
+If the new assignment can be satisfied by the available reservation or adjacent unallocated space of an existing PI assignment to the assignment holder, this option should be used.
+If multiple existing assignments satisfy this requirement, the End User's preference for which assignment to expand should be considered.
+
+Apart from the newly received or extended PI assignment, all other PI assignments must be returned to the NCC after a period for renumbering as soon as the new PI assignment has been created or an existing one was extended.
+The renumbering period for PI assignments previously made under the current version of this policy is six months.
+For PI assignments whose requests were evaluated based on a previous version of this policy, the initial renumbering period is twelve months, which can be extended by twelve months every twelve months, if the End User provides the NCC with documentation demonstrating that a renumbering is currently not feasible, e.g., due to high costs or operational complexity.
+Even though, technically, the renumbering period can thereby extended indefinately, return of these PI assignments remains mandated.
+
 7.2. IPv6 Provider Independent (PI) Assignments for LIRs
 
 LIRs can qualify for an IPv6 PI assignment for parts of their own infrastructure that are not used for customer end sites. Where an LIR has an IPv6 allocation, the LIR must demonstrate the unique routing requirements for the PI assignment.
